Show / Hide Table of Contents

# Class MemoryAllocationException

An exception thrown when VirtualAlloc fails.

##### Inheritance

System.Object
System.Exception
MemoryException
MemoryAllocationException

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Memory.Exceptions

###### Assembly: Dalamud.dll

##### Syntax

    public class MemoryAllocationException : MemoryException, ISerializable

### Constructors

| Improve this Doc View Source

#### MemoryAllocationException()

Initializes a new instance of the MemoryAllocationException class.

##### Declaration

    public MemoryAllocationException()

| Improve this Doc View Source

#### MemoryAllocationException(SerializationInfo, StreamingContext)

Initializes a new instance of the MemoryAllocationException class.

##### Declaration

    protected MemoryAllocationException(SerializationInfo info, StreamingContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Runtime.Serialization.SerializationInfo | info | The object that holds the serialized data about the exception being thrown.
System.Runtime.Serialization.StreamingContext | context | The object that contains contextual information about the source or destination.

| Improve this Doc View Source

#### MemoryAllocationException(String)

Initializes a new instance of the MemoryAllocationException class.

##### Declaration

    public MemoryAllocationException(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message that describes the error.

| Improve this Doc View Source

#### MemoryAllocationException(String, Exception)

Initializes a new instance of the MemoryAllocationException class.

##### Declaration

    public MemoryAllocationException(string message, Exception innerException)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The error message that explains the reason for the exception.
System.Exception | innerException | The exception that is the cause of the current exception.

### Implements

System.Runtime.Serialization.ISerializable